///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 20.09.2020 Creation time: 19:55:33
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _NEWFORM_
#define _NEWFORM_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ascom10.lib" )

CLASS _NewForm FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR Static1       
      VAR Key           
      VAR Static2       
      VAR Sysc          
      VAR Static3       
      VAR Sysm          
      VAR Static4       
      VAR Fontname      
      VAR Static5       
      VAR Status        
      VAR Static6       
      VAR Filename      
      VAR Static7       
      VAR Ts            
      VAR Desc          
      VAR Static8       
      VAR Genericfnt    
      VAR Static9       
      VAR Tswoff2       
      VAR Static10      
      VAR Tswoff        
      VAR Static11      
      VAR Tsttf         
      VAR Static12      
      VAR Tssvg         
      VAR Static13      
      VAR Tseot         
      VAR ButtonNext    
      VAR ButtonPrevious

      * Work area / alias
      VAR HBWFNT

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )


   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {363,433}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "8.Arial" } )
   
   IF Empty(aSize) == .T.
      IF IsMemberVar(self,"ClientSize") == .T.
         aSize := {0,0}
      ELSE
         aSize := {933,600}
      ENDIF
   ENDIF
   
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   IF aSize[1] == 0 .AND. aSize[2] == 0
      ::XbpDialog:ClientSize := {917,561}
   ENDIF
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "New form"

   ::editControls := {}

   ::Static1        := XbpStatic():new( ::drawingArea, , {12,524}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static1:caption := "Key:"
   ::Static1:clipSiblings := .T.
   ::Static1:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Key            := XbpSLE():new( ::drawingArea, , {72,524}, {24,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Key:bufferLength := 4
   ::Key:tabStop := .T.
   ::Key:dataLink := {|x| IIf( PCOUNT()==0, Transform( (::HBWFNT)->KEY, '@N' ), (::HBWFNT)->KEY := Val(x) ) }
   AAdd( ::editControls, ::Key )

   ::Static2        := XbpStatic():new( ::drawingArea, , {12,496}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static2:caption := "Sysc:"
   ::Static2:clipSiblings := .T.
   ::Static2:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Sysc           := XbpSLE():new( ::drawingArea, , {72,496}, {92,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Sysc:bufferLength := 8
   ::Sysc:tabStop := .T.
   ::Sysc:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->SYSC ), (::HBWFNT)->SYSC := x ) }
   AAdd( ::editControls, ::Sysc )

   ::Static3        := XbpStatic():new( ::drawingArea, , {12,468}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static3:caption := "Sysm:"
   ::Static3:clipSiblings := .T.
   ::Static3:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Sysm           := XbpSLE():new( ::drawingArea, , {72,468}, {92,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Sysm:bufferLength := 8
   ::Sysm:tabStop := .T.
   ::Sysm:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->SYSM ), (::HBWFNT)->SYSM := x ) }
   AAdd( ::editControls, ::Sysm )

   ::Static4        := XbpStatic():new( ::drawingArea, , {12,440}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static4:caption := "Fontname:"
   ::Static4:clipSiblings := .T.
   ::Static4:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Fontname       := XbpSLE():new( ::drawingArea, , {72,440}, {356,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Fontname:bufferLength := 100
   ::Fontname:tabStop := .T.
   ::Fontname:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->FONTNAME ), (::HBWFNT)->FONTNAME := x ) }
   AAdd( ::editControls, ::Fontname )

   ::Static5        := XbpStatic():new( ::drawingArea, , {12,412}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static5:caption := "Status:"
   ::Static5:clipSiblings := .T.
   ::Static5:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Status         := XbpSLE():new( ::drawingArea, , {72,412}, {16,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Status:bufferLength := 1
   ::Status:tabStop := .T.
   ::Status:dataLink := {|x| IIf( PCOUNT()==0, Transform( (::HBWFNT)->STATUS, '@N' ), (::HBWFNT)->STATUS := Val(x) ) }
   AAdd( ::editControls, ::Status )

   ::Static6        := XbpStatic():new( ::drawingArea, , {12,384}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static6:caption := "Filename:"
   ::Static6:clipSiblings := .T.
   ::Static6:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Filename       := XbpSLE():new( ::drawingArea, , {72,384}, {1012,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Filename:bufferLength := 254
   ::Filename:tabStop := .T.
   ::Filename:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->FILENAME ), (::HBWFNT)->FILENAME := x ) }
   AAdd( ::editControls, ::Filename )

   ::Static7        := XbpStatic():new( ::drawingArea, , {12,356}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static7:caption := "Ts:"
   ::Static7:clipSiblings := .T.
   ::Static7:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Ts             := XbpSLE():new( ::drawingArea, , {72,356}, {68,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Ts:bufferLength := 20
   ::Ts:tabStop := .T.
   ::Ts:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->TS ), (::HBWFNT)->TS := x ) }
   AAdd( ::editControls, ::Ts )

   ::Desc           := XbpMLE():new( ::drawingArea, , {12,232}, {116,120}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Desc:tabStop := .T.
   ::Desc:dataLink := {|x| IIf( PCOUNT()==0, (::HBWFNT)->DESC, (::HBWFNT)->DESC := x ) }
   AAdd( ::editControls, ::Desc )

   ::Static8        := XbpStatic():new( ::drawingArea, , {12,204}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static8:caption := "Genericfnt:"
   ::Static8:clipSiblings := .T.
   ::Static8:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Genericfnt     := XbpSLE():new( ::drawingArea, , {72,204}, {16,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Genericfnt:bufferLength := 1
   ::Genericfnt:tabStop := .T.
   ::Genericfnt:dataLink := {|x| IIf( PCOUNT()==0, Transform( (::HBWFNT)->GENERICFNT, '@N' ), (::HBWFNT)->GENERICFNT := Val(x) ) }
   AAdd( ::editControls, ::Genericfnt )

   ::Static9        := XbpStatic():new( ::drawingArea, , {12,176}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static9:caption := "Tswoff2:"
   ::Static9:clipSiblings := .T.
   ::Static9:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Tswoff2        := XbpSLE():new( ::drawingArea, , {72,176}, {100,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Tswoff2:bufferLength := 20
   ::Tswoff2:tabStop := .T.
   ::Tswoff2:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->TSWOFF2 ), (::HBWFNT)->TSWOFF2 := x ) }
   AAdd( ::editControls, ::Tswoff2 )

   ::Static10       := XbpStatic():new( ::drawingArea, , {12,148}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static10:caption := "Tswoff:"
   ::Static10:clipSiblings := .T.
   ::Static10:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Tswoff         := XbpSLE():new( ::drawingArea, , {72,148}, {100,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Tswoff:bufferLength := 20
   ::Tswoff:tabStop := .T.
   ::Tswoff:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->TSWOFF ), (::HBWFNT)->TSWOFF := x ) }
   AAdd( ::editControls, ::Tswoff )

   ::Static11       := XbpStatic():new( ::drawingArea, , {12,120}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static11:caption := "Tsttf:"
   ::Static11:clipSiblings := .T.
   ::Static11:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Tsttf          := XbpSLE():new( ::drawingArea, , {72,120}, {100,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Tsttf:bufferLength := 20
   ::Tsttf:tabStop := .T.
   ::Tsttf:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->TSTTF ), (::HBWFNT)->TSTTF := x ) }
   AAdd( ::editControls, ::Tsttf )

   ::Static12       := XbpStatic():new( ::drawingArea, , {12,92}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static12:caption := "Tssvg:"
   ::Static12:clipSiblings := .T.
   ::Static12:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Tssvg          := XbpSLE():new( ::drawingArea, , {72,92}, {100,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Tssvg:bufferLength := 20
   ::Tssvg:tabStop := .T.
   ::Tssvg:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->TSSVG ), (::HBWFNT)->TSSVG := x ) }
   AAdd( ::editControls, ::Tssvg )

   ::Static13       := XbpStatic():new( ::drawingArea, , {12,64}, {56,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static13:caption := "Tseot:"
   ::Static13:clipSiblings := .T.
   ::Static13:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Tseot          := XbpSLE():new( ::drawingArea, , {72,64}, {100,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Tseot:bufferLength := 20
   ::Tseot:tabStop := .T.
   ::Tseot:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::HBWFNT)->TSEOT ), (::HBWFNT)->TSEOT := x ) }
   AAdd( ::editControls, ::Tseot )

   ::ButtonNext     := XbpPushButton():new( ::drawingArea, , {452,68}, {100,32}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::ButtonNext:caption := "Vor"
   ::ButtonNext:tabStop := .T.
   ::ButtonNext:activate := {|| Gather( ::editControls ), (::HBWFNT)->(DbSkip(1)), Scatter ( ::editControls ) }

   ::ButtonPrevious := XbpPushButton():new( ::drawingArea, , {344,68}, {100,32}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::ButtonPrevious:caption := "Zurck"
   ::ButtonPrevious:tabStop := .T.
   ::ButtonPrevious:activate := {|| Gather( ::editControls ), (::HBWFNT)->(DbSkip(-1)), Scatter ( ::editControls ) }

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::Static1:create()

   ::Key:create()

   ::Static2:create()

   ::Sysc:create()

   ::Static3:create()

   ::Sysm:create()

   ::Static4:create()

   ::Fontname:create()

   ::Static5:create()

   ::Status:create()

   ::Static6:create()

   ::Filename:create()

   ::Static7:create()

   ::Ts:create()

   ::Desc:create()

   ::Static8:create()

   ::Genericfnt:create()

   ::Static9:create()

   ::Tswoff2:create()

   ::Static10:create()

   ::Tswoff:create()

   ::Static11:create()

   ::Tsttf:create()

   ::Static12:create()

   ::Tssvg:create()

   ::Static13:create()

   ::Tseot:create()

   ::ButtonNext:create()

   ::ButtonPrevious:create()


RETURN self

#endif

//EOF
/////